Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Class AQjmsObjectMessage

`java.lang.Object
oracle.jms.AQjmsMessage
oracle.jms.AQjmsObjectMessage`

All Implemented Interfaces:
  Message, ObjectMessage

public class AQjmsObjectMessage
extends AQjmsMessage
implements ObjectMessage

This is an Oracle class which implements `javax.jms.ObjectMessage`.

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Method Summary
`void` | `clearBody()` Clears out the message body.
`void` | `clearProperties()` Clears a message's properties.
`java.io.Serializable` | `getObject()` Gets the serializable object containing this message's data.
`void` | `setObject(java.io.Serializable object)` Sets this message's body to be a copy of the specified serializable object.

Methods inherited from class oracle.jms.AQjmsMessage
`acknowledge, getAttempts, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSMessageIDAsBytes, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getSenderID, getShortProperty, getStringProperty, getUserPropertyNames, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setSenderID, setShortProperty, setStringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.Message
`acknowledge, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Method Detail

### clearProperties

    public void clearProperties()
                         throws JMSException

  Clears a message's properties.
  Specified by:
    `clearProperties` in interface `Message`
  Overrides:
    `clearProperties` in class `AQjmsMessage`
  Throws:
    `JMSException` - if the message properties are not cleared due to some error.

### setObject

    public void setObject(java.io.Serializable object)
                   throws JMSException

  Sets this message's body to be a copy of the specified serializable object.
  Specified by:
    `setObject` in interface `ObjectMessage`
  Parameters:
    `object` - the value for this message's body
  Throws:
    `JMSException` - if this message's body is not set due to some error.
    `MessageFormatException` - if object serialization fails
    `MessageNotWriteableException` - if this message is in read-only mode.

### getObject

    public java.io.Serializable getObject()
                                   throws JMSException

  Gets the serializable object containing this message's data. The default value is `null`.
  Specified by:
    `getObject` in interface `ObjectMessage`
  Returns:
    the serializable object containing this message's data
  Throws:
    `JMSException` - if the object is not retrieved due to some error.
    `MessageFormatException` - if object deserialization fails.

### clearBody

    public void clearBody()
                   throws JMSException

  Clears out the message body. All other parts of the message are left untouched.
  Specified by:
    `clearBody` in interface `Message`
  Overrides:
    `clearBody` in class `AQjmsMessage`
  Throws:
    `JMSException` - if the message body is not cleared due to some error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.